@echo off
rem To build and install the additional libraries, execute this file in the \agena\src subfolder
rem in a plain NT shell, and not in MinGW.

set gccopts=-Wall -O3 -shared -I. -L. -lagena

echo Buildung ADS.
gcc %gccopts% -o ads.dll ads.c agnhlps.c

rem echo Buildung phonetiQs.
rem gcc %gccopts% -o phq.dll plus/phq.c
rem copy phq.dll ..\phq >> NUL
rem del phq.dll

echo Buildung calc.
gcc %gccopts% -o calc.dll calc.c cephes.c

echo Buildung stats.
gcc %gccopts% -o stats.dll stats.c

echo Buildung linalg.
gcc %gccopts% -o linalg.dll linalg.c

echo Buildung fractals.
gcc %gccopts% -o fractals.dll fractals.c

echo Buildung xbase.
gcc %gccopts% -o xbase.dll xbase.c agnhlps.c agnt64.c

rem echo Buildung compress.
rem gcc %gccopts% -o compress.dll compress.c lcompress.c agnhlps.c

rem echo Buildung words.
rem gcc %gccopts% -o words.dll words.c

echo.
echo Slimming and moving packages.
strip --strip-unneeded *.dll
copy ads.dll ..\lib >> NUL
copy calc.dll ..\lib >> NUL
copy stats.dll ..\lib >> NUL
copy linalg.dll ..\lib >> NUL
copy fractals.dll ..\lib >> NUL
copy xbase.dll ..\lib >> NUL

echo Installed all libraries into Agena /lib folder.

del ads.dll
del calc.dll
del stats.dll
del linalg.dll
del fractals.dll
del xbase.dll

set gccopts=